summaryrefslogtreecommitdiff
path: root/Meta/lint-prettier.sh
diff options
context:
space:
mode:
authorAndrew Kaster <andrewdkaster@gmail.com>2021-01-10 00:20:21 -0700
committerAndreas Kling <kling@serenityos.org>2021-01-10 16:39:21 +0100
commit9e5aa6f794ef9ab5828d5874c2e40de9a4fa8349 (patch)
treebb2918d12e19ff08f123e286f5b90d7c9bbe8e77 /Meta/lint-prettier.sh
parent190e0e155130e09dc9c9b7a0989cdb0ef8c55a7d (diff)
downloadserenity-9e5aa6f794ef9ab5828d5874c2e40de9a4fa8349.zip
Meta: Only complain about linter tools if relevant files have changed
Diffstat (limited to 'Meta/lint-prettier.sh')
-rwxr-xr-xMeta/lint-prettier.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/Meta/lint-prettier.sh b/Meta/lint-prettier.sh
index 3824232b64..5867ca3078 100755
--- a/Meta/lint-prettier.sh
+++ b/Meta/lint-prettier.sh
@@ -5,16 +5,6 @@ set -e
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
cd "${script_path}/.." || exit 1
-if ! command -v prettier >/dev/null 2>&1 ; then
- echo "prettier is not available. Either skip this script, or install prettier."
- exit 1
-fi
-
-if ! prettier --version | grep -qF '2.' ; then
- echo "You are using '$(prettier --version)', which appears to not be prettier 2."
- exit 1
-fi
-
if [ "$#" -eq "0" ]; then
mapfile -t files < <(
git ls-files \
@@ -32,6 +22,16 @@ else
fi
if (( ${#files[@]} )); then
+ if ! command -v prettier >/dev/null 2>&1 ; then
+ echo "prettier is not available, but JS files need linting! Either skip this script, or install prettier."
+ exit 1
+ fi
+
+ if ! prettier --version | grep -qF '2.' ; then
+ echo "You are using '$(prettier --version)', which appears to not be prettier 2."
+ exit 1
+ fi
+
prettier --check "${files[@]}"
else
echo "No .js files to check."